
#ifndef __foot_pdr_h__
#define __foot_pdr_h__

#include "main.h"
#include "ekfPDR.h"

#include "matrixOperations.h"
#include "motion_config.h"
#include "nrf_nvmc.h"

#define FLASH_ADD 0x0007c000

#define ZUPT_threshold  0.81


#define PI 3.14159265f

#define RUN 1
#define STAND 0

unsigned char footPDR(int32_t num, float *gyr, float *acc, uint16_t front_mag_norm, int16_t zupt, int16_t acc_zero, int32_t* pos_res, int16_t* att);

void quat2angle(float qin[4], float *roll, float *pitch, float *yaw);

float getVelMean(void);

#endif
